import { IPipeline } from '@aws-cdk/aws-codepipeline';
import { Construct } from '@aws-cdk/core';
import { ChannelTypes } from './channel-types';
export interface SlackNotifierProps {
    readonly slackBotToken: string;
    readonly slackSigningSecret: string;
    readonly slackChannel?: string;
    readonly slackChannelId?: string;
    readonly slackChannelTypes?: ChannelTypes[];
    readonly slackBotName?: string;
    readonly slackBotIcon?: string;
    readonly pipeline: IPipeline;
    readonly stageNames?: string[];
}
export declare class SlackNotifier extends Construct {
    protected environment: Record<string, string>;
    constructor(scope: Construct, id: string, props: SlackNotifierProps);
    /**
     * Validate the current construct.
     *
     * This method can be implemented by derived constructs in order to perform
     * validation logic. It is called on all constructs before synthesis.
     */
    protected validate(this: SlackNotifier): string[];
}
